Subject: [Asrg] The State of RSS Readers for Mailing List Funcionality

From: Philip Miller <[email-masked]>
Date: Mon, 01 Dec 2003 17:37:15 -0500

After the recent discussion on the list of replacing bulk email with some 
completely user-initiated protocol, such as RSS, I decided to try it out. 
Mailbucket.org currently is testing its mailing list to RSS gateway, and 
they allow subscription of any list for this purpose. The URL for the ASRG 
list on this site is <http://www.mailbucket.org/asrg.xml>.

For the past few days, I've read the list in the RSS aggregator Liferea, 
version 0.4.4. Here are my comments on this setup, which may not apply to 
others:

1. The lack of inate threading is painful.
The messages simply appear as a sequence of messages, by default in date 
order. The only other thing they can be sorted on is 'Headline', which leads 
me to ...
2. Email headers aren't preserved.
The message subject is used as the headline of each item. Aside from the 
subject, the gateway inserts the sender and date at the top of the message. 
Even worse, it cuts off the sender's actual email address, so that only the 
name appears, apparently to make it look nicer to the user.
3. There's no reasonable way to display the meaningful email headers.
In terms of looking at a list of posts, I suppose it could be reasonable to 
insert the sender into the headline as well, but that would wreak havoc on 
sorting by subject.

My conclusion is that NNTP is much better suited for this task. Mail clients 
frequently have integrated newsreaders, netnews posts have headers analogous 
to email's, and they interoperate well. The only real open question in terms 
of mailing-list/news interoperability is submission: should it still be done 
by emailing a list address, or should it be done by posting to the news 
group directly?

--
Philip Miller

_______________________________________________
Asrg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/asrg

---

From: Yakov Shafranovich <[email-masked]>
Date: Mon, 01 Dec 2003 17:44:23 -0500

[Subject changed as per posting guidelines. Mod.]

Philip Miller wrote:
> After the recent discussion on the list of replacing bulk email with 
> some completely user-initiated protocol, such as RSS, I decided to try 
> it out. Mailbucket.org currently is testing its mailing list to RSS 
> gateway, and they allow subscription of any list for this purpose. The 
> URL for the ASRG list on this site is <http://www.mailbucket.org/asrg.xml>.
> 
> version 0.4.4. Here are my comments on this setup, which may not apply 
> to others:
> 
> order. The only other thing they can be sorted on is 'Headline', which 
> leads me to ...
> subject, the gateway inserts the sender and date at the top of the 
> message. Even worse, it cuts off the sender's actual email address, so 
> that only the name appears, apparently to make it look nicer to the user.
> In terms of looking at a list of posts, I suppose it could be reasonable 
> to insert the sender into the headline as well, but that would wreak 
> havoc on sorting by subject.
> 
> My conclusion is that NNTP is much better suited for this task. Mail 
> clients frequently have integrated newsreaders, netnews posts have 
> headers analogous to email's, and they interoperate well. The only real 
> open question in terms of mailing-list/news interoperability is 
> submission: should it still be done by emailing a list address, or 
> should it be done by posting to the news group directly?
> 
> -- 
> Philip Miller
> 
> 

-------
Yakov Shafranovich / asrg <at> shaftek.org
SolidMatrix Technologies, Inc. / research <at> solidmatrix.com
"Power tends to corrupt, and absolute power corrupts absolutely" (Lord 
Acton)
-------